Subject: bug#69064: python-mysqlclient: MySQLdb.string_literal SIGSEGV

From: Marco Rimoldi <[email-masked]>
Date: Mon, 12 Feb 2024 01:08:16 +0100

Hello,

I think I found a bug in [email-masked] compiled with mariadb:[email-masked].

To reproduce: run a Python 3.10.7 terminal, import the MySQLdb module, call the  string_literal function with any argument. Interpreter crashes due to segmentation fault. Arch is x86_64.

Same with version 2.2.4, tested tweaking the package definition.

I tried installing mariadb with debug symbols, but I was not able to make mysqlclient link against that variant (either using transformations in a manifest file or --with-debug-info=mariadb). Suggestions are welcome.

The bug affects the openmolar package.

Marco